This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 431494 - Kernel goes into thermal shutdown very easily
Kernel goes into thermal shutdown very easily
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
x86_64 Linux
high Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 459479
  Show dependency treegraph
 
Reported: 2008-02-04 18:15 EST by Bryan O'Sullivan
Modified: 2008-10-22 17:41 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-22 17:41:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lsmod.out (3.07 KB, text/plain)
2008-02-04 19:22 EST, Bryan O'Sullivan
no flags Details

  None (edit)
Description Bryan O'Sullivan 2008-02-04 18:15:10 EST
Description of problem:

I've got an IBM X60 laptop, running x86_64 Fedora 8.  Recently, if I try and run
anything CPU-intensive for more than a few seconds, the kernel has been going
into thermal shutdown mode extremely easily.

There seems to be a longer-than-before lag between the CPU getting busy and the
fan kicking in, too.  I realise this is all rather non-specific, but I don't
know what information would be useful to you.

When the system shuts down, I get the following message:

Critical temperature reached (128 C), shutting down.

This doesn't match the results of looking at /proc/acpi/ibm/thermal or
/proc/acpi/ibm/fan.  The CPU reading from thermal is below 80C when the shutdown
hits.

Version-Release number of selected component (if applicable):

kernel-2.6.23.14-107.fc8.x86_64

How reproducible:

100%.

Steps to Reproduce:
1. Start a kernel build or something similar.
2. Wait less than a minute.
3. Shutdown!
Comment 1 Chuck Ebbert 2008-02-04 19:16:59 EST
Please provide the output of the 'lsmod' command... 
Comment 2 Bryan O'Sullivan 2008-02-04 19:22:23 EST
Created attachment 293960 [details]
lsmod.out

Here you go.

Oh, and here's /proc/cmdline for good measure.

ro root=LABEL=/ quiet usbcore.autosuspend=1
Comment 3 Chuck Ebbert 2008-02-08 18:00:17 EST
Can you also attach the boot messages? (the file /var/log/dmesg)
Comment 4 Christopher D. Stover 2008-10-22 17:41:03 EDT
The information we've requested above is required in order
to review this problem report further and diagnose or fix the
issue if it is still present.  Since it has been thirty days or
more since we first requested additional information, we're assuming
the problem is either no longer present in the current Fedora release, or
that there is no longer any interest in tracking the problem.

Setting status to "CLOSED: INSUFFICIENT_DATA".  If you still
experience this problem after updating to our latest Fedora
release and can provide the information previously requested,
please feel free to reopen the bug report.

Thank you in advance.

Note You need to log in before you can comment on or make changes to this bug.